MySQL++ Reference Manual

MySQL++ SSQLS v2 Translator: ParseV2::Include Class Reference

MySQL++ SSQLS v2 Translator 3.2.4

Public Member Functions | Static Public Member Functions | List of all members
ParseV2::Include Class Reference

'include' directive line More...

`#include <parsev2.h>`

Inheritance diagram for ParseV2::Include:
[legend]
Collaboration diagram for ParseV2::Include:
[legend]

## Public Member Functions
| Include (const char *file_name)
| Given the name of another SSQLS v2 file, load it up and parse it. Its contents will appear transparently as part of the overall parse result. More...
| ~Include ()
| Destructor.
LineListIt | begin () const
| Get an iterator pointing to the start of the.
LineListIt | end () const
| Get an iterator pointing to just past the end of the sub-parse's LineList.
Public Member Functions inherited from ParseV2::Line
virtual | ~Line ()
| Virtual dtor, since this is a base class.

## Static Public Member Functions
static Include * | parse (const StringList &tl, bool subdirective, const File &file)
| Attempt to create an Include object from information in the passed StringList. More...
Static Public Member Functions inherited from ParseV2::Line
static Line * | parse (const StringList &tl, bool subdirective, const File &file)
| Virtual ctor, creating one of our subclass objects based on what we're passed. More...

## Additional Inherited Members
Protected Member Functions inherited from ParseV2::Line
| Line ()
| Protected ctor, to prevent instantiation.

## Detailed Description

'include' directive line

## Constructor & Destructor Documentation

## ◆ Include()

ParseV2::Include::Include | ( | const char * | file_name | ) |
| inline

Given the name of another SSQLS v2 file, load it up and parse it. Its contents will appear transparently as part of the overall parse result.

Parameters

  file_name | name of other SSQLS v2 file to parse

## Member Function Documentation

## ◆ parse()

ParseV2::Include * ParseV2::Include::parse | ( | const StringList & | tl,
|  | bool | subdirective,
|  | const File & | file
| ) |  |
| static

Attempt to create an Include object from information in the passed StringList.

A kind of pre-processor for the Include ctor, creating one of those objects only if the given StringList makes sense, using the values we find in that StringList as parameters to the ctor.

References ParseV2::File::parse_error().

Referenced by ParseV2::Line::parse().

The documentation for this class was generated from the following files:

- parsev2.h
- parsev2.cpp